//=============================================================================
// DawnsEOGTrigger: senses things happening in its proximity and generates
// a call to LevelInfo.Game.EndGame(fraglimit) to end the game if the Touching
// Actor is the InfernoMap Conquerer.  Gives the Conquerer a sure-to-win score.
//
// Author:  Dawn Knight
// Tested only on version 4.36
// Version A4.1  11/07/2003 03:31:42 PM
//=============================================================================
class DawnsEOGTrigger extends Trigger;

var InfernoMap IMap;

function PostBeginPlay()
{
	local InfernoMap I;

  // Find the InfernoMap Mutator if present
	foreach AllActors( class 'InfernoMap', I )
	{
		IMap = I;
		Log("**** DawnsEOGTrigger Found InfernoMap"@IMap);
	}
	Super.PostBeginPlay();
}


///
// Called when something touches the trigger.
//
function Touch( actor Other )
{
	super.Touch( Other );

	if (Level.Game.IsA('DeathMatchPlus') && Pawn(Other) != none)
	{
		if ( Pawn(Other) == IMap.Conquerer )
		{
			if ( Pawn(Other).PlayerReplicationInfo.Score < 10 )
			{
				Pawn(Other).PlayerReplicationInfo.Score = 500;
			}
			else
			{
				Pawn(Other).PlayerReplicationInfo.Score = 1000;
			}
			DeathMatchPlus(Level.Game).EndGame("fraglimit");
		}
	}
}

defaultproperties
{
     DrawScale=2
}
