//=============================================================================
// InfernoMappack.SpawnInfernoBotInfo.  By Dawn Knight ver 1.0 12/28/2002
// Preferably Embedded in a Map.
//
// Replaces standard ChallengeBotInfo with custom InfernoBotInfo, which
// should also preferably be Embedded in a Map.
//=============================================================================
class SpawnInfernoBotInfo expands SpawnNotify;

simulated function Actor SpawnNotification( Actor A )
{
	local InfernoBotInfo IBI;

  if (Role == ROLE_Authority)
  {
    if (!A.IsA('InfernoBotInfo') )
    {
      A.Destroy();
      foreach AllActors(class'InfernoBotInfo',IBI)
      {
        return IBI; //This is the 1st one - probably embedded
      }
      return spawn(class'InfernoBotInfo'); // Hmm, no embedded one - spawn one
    }
    return A; // The one and only
  }
}

defaultproperties
{
  ActorClass=class'ChallengeBotInfo'
  DrawScale=4.0
}
